View Issue Details

IDProjectCategoryView StatusLast Update
0002949VALENTINA SERVERAPIpublic2011-03-16 09:01
ReporterThorsten HohageAssigned ToIvan Smahin 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.5.2 
Target Version4.9Fixed in Version4.9 
Summary0002949: crash on cast of a aggregate function
Descriptiontry to use a cast count(*) to varchar(10) and got this one
Additional InformationProcess: VServer_Office [103]
Path: /Library/VServer_Office/VServer_Office.app/Contents/MacOS/VServer_Office
Identifier: VServer_Office
Version: ??? (???)
Code Type: X86 (Native)
Parent Process: sh [95]

Date/Time: 2008-01-14 21:58:32.298 +0100
OS Version: Mac OS X 10.5.1 (9B18)
Report Version: 6

Exception Type: EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000000c
Crashed Thread: 3

Thread 0:
0 libSystem.B.dylib 0x9543492e semaphore_wait_signal_trap + 10
1 libSystem.B.dylib 0x954661e6 _pthread_cond_wait + 1267
2 libSystem.B.dylib 0x954abc4b pthread_cond_wait + 48
3 libvserver_fat_release.dylib 0x01626393 ACE_OS::cond_timedwait(_opaque_pthread_cond_t*, _opaque_pthread_mutex_t*, ACE_Time_Value*) + 87
4 libvserver_fat_release.dylib 0x015d7a61 ACE_Condition_Thread_Mutex::wait(ACE_Time_Value const*) + 31
5 libvserver_fat_release.dylib 0x015de92a ACE_Thread_Manager::wait(ACE_Time_Value const*, int) + 428
6 libvserver_fat_release.dylib 0x015867cf V_TP_Reactor_Server::Wait(int) + 143
7 com.paradigmasoft.vserver 0x00001f1b main + 49
8 com.paradigmasoft.vserver 0x00001866 _start + 216
9 com.paradigmasoft.vserver 0x0000178d start + 41

Thread 1:
0 libSystem.B.dylib 0x9543492e semaphore_wait_signal_trap + 10
1 libSystem.B.dylib 0x954661e6 _pthread_cond_wait + 1267
2 libSystem.B.dylib 0x954abc4b pthread_cond_wait + 48
3 libvserver_fat_release.dylib 0x01626393 ACE_OS::cond_timedwait(_opaque_pthread_cond_t*, _opaque_pthread_mutex_t*, ACE_Time_Value*) + 87
4 libvserver_fat_release.dylib 0x015d7a61 ACE_Condition_Thread_Mutex::wait(ACE_Time_Value const*) + 31
5 libvserver_fat_release.dylib 0x015f3a04 ACE_Token::shared_acquire(void (*)(void*), void*, ACE_Time_Value*, ACE_Token::ACE_Token_Op_Type) + 406
6 libvserver_fat_release.dylib 0x015e55ec ACE_TP_Token_Guard::grab_token(ACE_Time_Value*) + 108
7 libvserver_fat_release.dylib 0x015e5cc5 ACE_TP_Reactor::handle_events(ACE_Time_Value*) + 65
8 libvserver_fat_release.dylib 0x015e346a ACE_Reactor::run_reactor_event_loop(int (*)(ACE_Reactor*)) + 42
9 libvserver_fat_release.dylib 0x0160f71a V_Thread_Pool::svc() + 102
10 libvserver_fat_release.dylib 0x015e439c ACE_Task_Base::svc_run(void*) + 58
11 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
12 libSystem.B.dylib 0x95465075 _pthread_start + 321
13 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 2:
0 libSystem.B.dylib 0x9546bb4e select$DARWIN_EXTSN$NOCANCEL + 10
1 libvserver_fat_release.dylib 0x0160f533 ACE_OS::select(int, fd_set*, fd_set*, fd_set*, ACE_Time_Value const*) + 63
2 libvserver_fat_release.dylib 0x0162d0e1 ACE_Select_Reactor_T<ACE_Select_Reactor_Token_T<ACE_Token> >::wait_for_multiple_events(ACE_Select_Reactor_Handle_Set&, ACE_Time_Value*) + 329
3 libvserver_fat_release.dylib 0x015e5757 ACE_TP_Reactor::get_event_for_dispatching(ACE_Time_Value*) + 275
4 libvserver_fat_release.dylib 0x015e5c06 ACE_TP_Reactor::dispatch_i(ACE_Time_Value*, ACE_TP_Token_Guard&) + 26
5 libvserver_fat_release.dylib 0x015e5cfc ACE_TP_Reactor::handle_events(ACE_Time_Value*) + 120
6 libvserver_fat_release.dylib 0x015e346a ACE_Reactor::run_reactor_event_loop(int (*)(ACE_Reactor*)) + 42
7 libvserver_fat_release.dylib 0x0160f71a V_Thread_Pool::svc() + 102
8 libvserver_fat_release.dylib 0x015e439c ACE_Task_Base::svc_run(void*) + 58
9 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
10 libSystem.B.dylib 0x95465075 _pthread_start + 321
11 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 3 Crashed:
0 libvshared_fat_release.dylib 0x002392c6 fbl::GetSerializables(fbl::smart_ptr<fbl::ArrayOfSmartPtrs<fbl::smart_ptr<fbl::I_Value> > >) + 22
1 libvserver_fat_release.dylib 0x01596265 Put_ClientBased_Table(VSRV_Client_Handler*, fbl::smart_ptr<fbl::I_Table>, fbl::I_PacketSnd&) + 281
2 libvserver_fat_release.dylib 0x01598bb8 VSRV_Database::PutCursor(fbl::smart_ptr<fbl::vsql::I_Cursor>, fbl::vsql::ECursorLocation, fbl::I_PacketSnd&) + 92
3 libvserver_fat_release.dylib 0x01598d9f VSRV_Database::PutQuery(fbl::smart_ptr<fbl::vsql::QueryResult>, fbl::vsql::ECursorLocation, fbl::I_PacketSnd&) + 171
4 libvserver_fat_release.dylib 0x015cd6c2 VSRV_SqlConnection::I_SqlConnection_SqlQuery_Stringref_ECursorLocation_ELockType_ECursorDirection_ArrayOfValues_Ptr_handler(fbl::I_PacketRcv&, fbl::I_PacketSnd&) + 1312
5 libvserver_fat_release.dylib 0x015cd9f1 VSRV_SqlConnection::handle_command(fbl::I_PacketRcv&, fbl::I_PacketSnd&) + 227
6 libvserver_fat_release.dylib 0x01594781 VSRV_Client_Handler::handle_input(int) + 845
7 libvserver_fat_release.dylib 0x015e4ec9 ACE_TP_Reactor::dispatch_socket_event(ACE_EH_Dispatch_Info&) + 91
8 libvserver_fat_release.dylib 0x015e5ab1 ACE_TP_Reactor::handle_socket_events(int&, ACE_TP_Token_Guard&) + 167
9 libvserver_fat_release.dylib 0x015e5c78 ACE_TP_Reactor::dispatch_i(ACE_Time_Value*, ACE_TP_Token_Guard&) + 140
10 libvserver_fat_release.dylib 0x015e5cfc ACE_TP_Reactor::handle_events(ACE_Time_Value*) + 120
11 libvserver_fat_release.dylib 0x015e346a ACE_Reactor::run_reactor_event_loop(int (*)(ACE_Reactor*)) + 42
12 libvserver_fat_release.dylib 0x0160f71a V_Thread_Pool::svc() + 102
13 libvserver_fat_release.dylib 0x015e439c ACE_Task_Base::svc_run(void*) + 58
14 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
15 libSystem.B.dylib 0x95465075 _pthread_start + 321
16 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 4:
0 libSystem.B.dylib 0x9543492e semaphore_wait_signal_trap + 10
1 libSystem.B.dylib 0x954661e6 _pthread_cond_wait + 1267
2 libSystem.B.dylib 0x954abc4b pthread_cond_wait + 48
3 libvserver_fat_release.dylib 0x01626393 ACE_OS::cond_timedwait(_opaque_pthread_cond_t*, _opaque_pthread_mutex_t*, ACE_Time_Value*) + 87
4 libvserver_fat_release.dylib 0x015d7a61 ACE_Condition_Thread_Mutex::wait(ACE_Time_Value const*) + 31
5 libvserver_fat_release.dylib 0x015f3a04 ACE_Token::shared_acquire(void (*)(void*), void*, ACE_Time_Value*, ACE_Token::ACE_Token_Op_Type) + 406
6 libvserver_fat_release.dylib 0x015e55ec ACE_TP_Token_Guard::grab_token(ACE_Time_Value*) + 108
7 libvserver_fat_release.dylib 0x015e5cc5 ACE_TP_Reactor::handle_events(ACE_Time_Value*) + 65
8 libvserver_fat_release.dylib 0x015e346a ACE_Reactor::run_reactor_event_loop(int (*)(ACE_Reactor*)) + 42
9 libvserver_fat_release.dylib 0x0160f71a V_Thread_Pool::svc() + 102
10 libvserver_fat_release.dylib 0x015e439c ACE_Task_Base::svc_run(void*) + 58
11 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
12 libSystem.B.dylib 0x95465075 _pthread_start + 321
13 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 5:
0 libSystem.B.dylib 0x9543492e semaphore_wait_signal_trap + 10
1 libSystem.B.dylib 0x954661e6 _pthread_cond_wait + 1267
2 libSystem.B.dylib 0x954abc4b pthread_cond_wait + 48
3 libvserver_fat_release.dylib 0x01626393 ACE_OS::cond_timedwait(_opaque_pthread_cond_t*, _opaque_pthread_mutex_t*, ACE_Time_Value*) + 87
4 libvserver_fat_release.dylib 0x015d7a61 ACE_Condition_Thread_Mutex::wait(ACE_Time_Value const*) + 31
5 libvserver_fat_release.dylib 0x015f3a04 ACE_Token::shared_acquire(void (*)(void*), void*, ACE_Time_Value*, ACE_Token::ACE_Token_Op_Type) + 406
6 libvserver_fat_release.dylib 0x015e55ec ACE_TP_Token_Guard::grab_token(ACE_Time_Value*) + 108
7 libvserver_fat_release.dylib 0x015e5cc5 ACE_TP_Reactor::handle_events(ACE_Time_Value*) + 65
8 libvserver_fat_release.dylib 0x015e346a ACE_Reactor::run_reactor_event_loop(int (*)(ACE_Reactor*)) + 42
9 libvserver_fat_release.dylib 0x0160f71a V_Thread_Pool::svc() + 102
10 libvserver_fat_release.dylib 0x015e439c ACE_Task_Base::svc_run(void*) + 58
11 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
12 libSystem.B.dylib 0x95465075 _pthread_start + 321
13 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 6:
0 libSystem.B.dylib 0x9546bb4e select$DARWIN_EXTSN$NOCANCEL + 10
1 libvserver_fat_release.dylib 0x015c57d3 fbl::BonjourThread(void*) + 207
2 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
3 libSystem.B.dylib 0x95465075 _pthread_start + 321
4 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 7:
0 libSystem.B.dylib 0x9546bb4e select$DARWIN_EXTSN$NOCANCEL + 10
1 libvserver_fat_release.dylib 0x015c57d3 fbl::BonjourThread(void*) + 207
2 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
3 libSystem.B.dylib 0x95465075 _pthread_start + 321
4 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 8:
0 libSystem.B.dylib 0x9543492e semaphore_wait_signal_trap + 10
1 libSystem.B.dylib 0x954661e6 _pthread_cond_wait + 1267
2 libSystem.B.dylib 0x954abc4b pthread_cond_wait + 48
3 libvserver_fat_release.dylib 0x01625a81 ACE_OS::cond_wait(_opaque_pthread_cond_t*, _opaque_pthread_mutex_t*) + 25
4 libvserver_fat_release.dylib 0x015d6838 ACE_Condition_Thread_Mutex::wait() + 24
5 libvserver_fat_release.dylib 0x015cb979 fbl::ScheduleThread(void*) + 433
6 libvserver_fat_release.dylib 0x015f090f ACE_Thread_Adapter::invoke() + 97
7 libSystem.B.dylib 0x95465075 _pthread_start + 321
8 libSystem.B.dylib 0x95464f32 thread_start + 34

Thread 3 crashed with X86 Thread State (32-bit):
  eax: 0x00000000 ebx: 0x0159615a ecx: 0x00000000 edx: 0xb01849d0
  edi: 0xb0184a6c esi: 0x00000000 ebp: 0xb0184978 esp: 0xb0184940
   ss: 0x0000001f efl: 0x00010282 eip: 0x002392c6 cs: 0x00000017
   ds: 0x0000001f es: 0x0000001f fs: 0x0000001f gs: 0x00000037
  cr2: 0x0000000c

Binary Images:
    0x1000 - 0x2017 +com.paradigmasoft.vserver ??? (1.0) /Library/VServer_Office/VServer_Office.app/Contents/MacOS/VServer_Office
  0x20e000 - 0x2f2fe7 +libvshared_fat_release.dylib ??? (???) /Library/VServer_Office/VServer_Office.app/Contents/VComponents/libvshared_fat_release.dylib
  0xaab000 - 0xf2bfd7 +libvkernel_fat_release.dylib ??? (???) /Library/VServer_Office/VServer_Office.app/Contents/VComponents/libvkernel_fat_release.dylib
 0x1556000 - 0x166bfe7 +libvserver_fat_release.dylib ??? (???) /Library/VServer_Office/VServer_Office.app/Contents/MacOS/libvserver_fat_release.dylib
 0x17bc000 - 0x18aaff2 +VSDK ??? (???) /Library/VServer_Office/VServer_Office.app/Contents/VComponents/VSDK.framework/Versions/A/VSDK
0x8fe00000 - 0x8fe2d883 dyld 95.3 (???) <81592e798780564b5d46b988f7ee1a6a> /usr/lib/dyld
0x90013000 - 0x90063ff7 com.apple.HIServices 1.6.0 (???) <d74aa73e4cfd30a08fb169198a8d2539> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x90064000 - 0x90422fea libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9042e000 - 0x90442ff3 com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90443000 - 0x9090fffe libGLProgrammability.dylib ??? (???) <e8bc0af671427cf2b6279a035805a086> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90910000 - 0x90910fff com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x90911000 - 0x9096dff7 com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9096e000 - 0x909a8ff7 com.apple.coreui 0.1 (60) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x91911000 - 0x91a56ff7 com.apple.ImageIO.framework 2.0.0 (2.0.0) <154d4d8cda2bd99518cbabc9f2d69833> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a57000 - 0x91d5dfff com.apple.HIToolbox 1.5.0 (???) <1b872a7151ee3f80c9c736a3e46d00d9> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x91d5e000 - 0x91ddafeb com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x91ddb000 - 0x91ddbffd com.apple.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x91ddc000 - 0x91e8bfff com.apple.DesktopServices 1.4.3 (1.4.3) <66d5ed56111c43d234e235d365d02469> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x91eca000 - 0x91ef9fe3 com.apple.AE 402 (402) <994ba8e884aefe7bf1fc5987df099e7b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91f65000 - 0x9202cff2 com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9202d000 - 0x9203afe7 com.apple.opengl 1.5.5 (1.5.5) <aa08b52d2a84b44dc6ee5d544a53fe8a> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x92040000 - 0x92040ffa com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x92047000 - 0x92048fef libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x92059000 - 0x92096ff7 libGLImage.dylib ??? (???) <202d73e6a4688fc06ff11b71910c2ce7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x920c0000 - 0x92757fef com.apple.CoreGraphics 1.351.0 (???) <7a6f399039eed6dbe845c169f7d21a70> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x92758000 - 0x9280efe3 com.apple.CoreServices.OSServices 210.2 (210.2) <4ed69f07fc0f211ab32d1ee96e281fc2> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x9285a000 - 0x928e6ff7 com.apple.LaunchServices 286 (286) <72b15e7a01e42d510f0339e90113d5d6> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x92919000 - 0x92927ffd libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x92e90000 - 0x92ea6fe7 com.apple.CoreVideo 1.5.0 (1.5.0) <c7569b68e54114da815e9c55299fe3a4> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x92ea7000 - 0x92ea9fff com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92eaa000 - 0x92fcefe3 com.apple.audio.toolbox.AudioToolbox 1.5 (1.5) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x93188000 - 0x931fcfef libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x931fd000 - 0x931fdffb com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x931fe000 - 0x93202fff libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9330a000 - 0x933d5fff com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9346d000 - 0x93472fff com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x934b5000 - 0x934d0ffb libPng.dylib ??? (???) <b6abcac36ec7654ff3e1cfa786b0117b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x935c0000 - 0x93652ff3 com.apple.ApplicationServices.ATS 3.0 (???) <fb5f572243dbc370a0ea5efc8e81ae11> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x936f7000 - 0x936f8ffc libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x936f9000 - 0x9371dfeb libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x9371e000 - 0x938e7fef com.apple.security 5.0.1 (32736) <8c9eda0fcc1d8a571543025ac900715f> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x93936000 - 0x939b5ff5 com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x939b6000 - 0x93a68ffb libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x93a88000 - 0x93bbafe7 com.apple.CoreFoundation 6.5 (476) <8bfebc0dbad6fc33bea0fa00a1b9ec37> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x93bbb000 - 0x93bc2fe9 libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x93bc3000 - 0x93bc3ffd com.apple.Accelerate.vecLib 3.4 (vecLib 3.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x93e39000 - 0x93e5dfff libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x93e5e000 - 0x93ed8ff8 com.apple.print.framework.PrintCore 5.5 (245) <9441d178f4b430cf92b67bf346646693> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x93ed9000 - 0x93f1bfef com.apple.NavigationServices 3.5.1 (161) <cc6bd78eabf1e2e7166914e9f12f5850> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93f1c000 - 0x93f24fff com.apple.DiskArbitration 2.2 (2.2) <1551b2af557fdf6f368f93e093933852> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x93f37000 - 0x93f56ffa libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x93f57000 - 0x93f96fef libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x93f98000 - 0x93f9aff5 libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x93faf000 - 0x93fb2fff com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x9416f000 - 0x941c8fff libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x941ca000 - 0x94302ff7 libicucore.A.dylib ??? (???) <afcea652ff2ec36885b2c81c57d06d4c> /usr/lib/libicucore.A.dylib
0x94303000 - 0x9430affe libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x9430b000 - 0x9431bfff com.apple.speech.synthesis.framework 3.6.59 (3.6.59) <4ffef145fad3d4d787e0c33eab26b336> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x94322000 - 0x9432bfff com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9432c000 - 0x9433cffc com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x9433d000 - 0x9435bfff libresolv.9.dylib ??? (???) <54e6a08c2f108bdf5916fb483d51961b> /usr/lib/libresolv.9.dylib
0x94467000 - 0x9450efff com.apple.QD 3.11.50 (???) <e2f71720ae1dad06a8883ac80775b21a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x9450f000 - 0x94515fff com.apple.print.framework.Print 218 (220) <c35172175abbe554ddadd9b6401351fa> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9464d000 - 0x9472eff7 libxml2.2.dylib ??? (???) <450ec38b57fb46013847cce851001a2f> /usr/lib/libxml2.2.dylib
0x9472f000 - 0x9480efff libobjc.A.dylib ??? (???) <5eda47fec2d0e7853b3506aa1fd2dafa> /usr/lib/libobjc.A.dylib
0x9480f000 - 0x94827fff com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x94a74000 - 0x94e0aff7 com.apple.QuartzCore 1.5.1 (1.5.1) <deb61cbeb3f734a1b2f4669f6268b9de> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x94ff2000 - 0x95303fe2 com.apple.QuickTime 7.3.1 (7.3.1) <697ff9cc466d4388840c3b733af9c6d7> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x95406000 - 0x95433feb libvDSP.dylib ??? (???) <a26683d121ee0f96df9a9d0bfca36049> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x95434000 - 0x9558efe3 libSystem.B.dylib ??? (???) <8ecc83dc0399be3946f7a46e88cf4bbb> /usr/lib/libSystem.B.dylib
0x9559c000 - 0x955c6fef libauto.dylib ??? (???) <d468bc4a8a69343f1748c293db1b57fb> /usr/lib/libauto.dylib
0x955c7000 - 0x955d1feb com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x955d2000 - 0x95682fff edu.mit.Kerberos 6.0.11 (6.0.11) <33c25789baedcd70a7e24881775dd9ad> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x95683000 - 0x956ddff7 com.apple.CoreText 2.0.0 (???) <7fa39cd5bc847615ec02e7c7a37c0508> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x956de000 - 0x95aeefef libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x95b8e000 - 0x95bb5fff libcups.2.dylib ??? (???) <5521498e8902ddd0b15cfaa7db384e29> /usr/lib/libcups.2.dylib
0x95bb6000 - 0x95bb6ffc com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x95bb7000 - 0x95bfcfef com.apple.Metadata 10.5.0 (398) <4fd74fba0062c2e08ec4b1c10b40ff63> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x95bfd000 - 0x95c87fff com.apple.framework.IOKit 1.5.1 (???) <5176a7383151a19c962334009fef2c6d> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x95c88000 - 0x95d1bfff com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x95d1c000 - 0x95d52fff com.apple.SystemConfiguration 1.9.0 (1.9.0) <7919d9588c3b0d556646e555b7193f1f> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x95d53000 - 0x95ddaff7 libsqlite3.0.dylib ??? (???) <273efcb717e89c21207c851d7d33fda4> /usr/lib/libsqlite3.0.dylib
0x95ddb000 - 0x960b4fe7 com.apple.CoreServices.CarbonCore 783 (783) <8370e664eeb25edc98d5c1f5405b06ae> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x960c1000 - 0x960c1ff8 com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x960c2000 - 0x960c2ffd com.apple.Accelerate 1.4 (Accelerate 1.4) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x96100000 - 0x9610cff5 libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x96131000 - 0x961a8fe3 com.apple.CFNetwork 220 (221) <972a41911805859205b057a6f5b91e8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x961a9000 - 0x96206ffb libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9620f000 - 0x96225fff com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x96a2f000 - 0x96ca8fe7 com.apple.Foundation 6.5.1 (677.1) <85ac18c7cd454378db6122bea0c00965> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0xfffe8000 - 0xfffebfff libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780 libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

 
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2008-01-14 12:02 Thorsten Hohage New Issue
2008-06-30 23:37 Ruslan Zasukhin Status new => assigned
2008-06-30 23:37 Ruslan Zasukhin Assigned To => Ivan Smahin
2010-02-17 09:50 Ruslan Zasukhin Target Version => 4.5.1
2010-12-15 20:15 Ruslan Zasukhin Target Version 4.5.1 => 5.0
2011-03-16 08:43 Ivan Smahin Project VCOMPONENT-VKERNEL => VALENTINA SERVER
2011-03-16 09:00 Ivan Smahin Status assigned => resolved
2011-03-16 09:00 Ivan Smahin Fixed in Version => 4.9
2011-03-16 09:00 Ivan Smahin Resolution open => fixed
2011-03-16 09:01 Ivan Smahin Category SQL => API
2011-03-16 09:01 Ivan Smahin Target Version 5.0 => 4.9